Skip to main content
PUT
Update Session

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Body

application/json

A session represents a processing session for document operations.

changeSequence
integer<int32>

Optimistic locking version number.

createdOn
string<date-time>

Timestamp when the session was created.

id
string

Unique identifier (UUID) for the session.

organization
object | null

An organization is the top-level tenant in Kodexa. All projects, stores, and resources belong to an organization.

organizationId
string | null
state
enum<string>
Available options:
OPEN,
CLOSED
token
string
updatedOn
string<date-time>

Timestamp when the session was last updated.

uuid
string

Secondary UUID identifier.

Response

Updated Session

A session represents a processing session for document operations.

changeSequence
integer<int32>

Optimistic locking version number.

createdOn
string<date-time>

Timestamp when the session was created.

id
string

Unique identifier (UUID) for the session.

organization
object | null

An organization is the top-level tenant in Kodexa. All projects, stores, and resources belong to an organization.

organizationId
string | null
state
enum<string>
Available options:
OPEN,
CLOSED
token
string
updatedOn
string<date-time>

Timestamp when the session was last updated.

uuid
string

Secondary UUID identifier.